Bug 887927 - Examine and fix if necessary Coverity issues in TCG code
Examine and fix if necessary Coverity issues in TCG code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 10:59 EST by Richard W.M. Jones
Modified: 2013-06-11 16:07 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 16:07:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Coverity scan results (3.24 MB, text/html)
2012-12-17 14:55 EST, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-12-17 10:59:36 EST
Description of problem:

Coverity was run against qemu and many potential bugs were
found.  The ones in TCG code are not being examined by anyone,
but still may need fixing.

Version-Release number of selected component (if applicable):

qemu 1.2.0-25.fc19

Additional info:

TCG bug reports to follow ...
Comment 1 Richard W.M. Jones 2012-12-17 14:55:37 EST
Created attachment 665081 [details]
Coverity scan results

Interesting bugs are the ones in tcg/translate.[ch] and target-*/
Comment 2 Cole Robinson 2012-12-18 16:59:45 EST
Was this intended to be filed against RHEL?

IMO the fedora qemu tracker has the smallest audience for this kind of stuff, I'd say either RHEL or upstream qemu tracker is best.

Is there any way we can kick off coverity against current rawhide qemu? It's much closer to the current state of qemu.git
Comment 3 Richard W.M. Jones 2012-12-18 17:12:21 EST
(In reply to comment #2)
> Was this intended to be filed against RHEL?

Could be either, I guess.  However I copied the Coverity
bug list so it's visible by anyone (see attachment comment 1).

> IMO the fedora qemu tracker has the smallest audience for this kind of
> stuff, I'd say either RHEL or upstream qemu tracker is best.

Well I guess we should fix this and feed the patches upstream.

> Is there any way we can kick off coverity against current rawhide qemu? It's
> much closer to the current state of qemu.git

It's possible to run it using the Red Hat site license, but
I can't document that here.
Comment 4 Richard W.M. Jones 2012-12-18 17:32:29 EST
I should add the main reason I wanted this bug was so that
I will get around to fixing the issues (since I'm the
assignee) ..
Comment 5 Cole Robinson 2013-04-01 18:19:39 EDT
Rich, has there been a coverity run against something more modern that we can forward upstream?
Comment 6 Richard W.M. Jones 2013-04-02 02:22:57 EDT
No, unfortunately 1.2.0 is still the latest that Coverity has
been run on.  However I will be able to run it on qemu git
at some point (sooner rather than later).
Comment 7 Fedora End Of Life 2013-04-03 13:23:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Cole Robinson 2013-06-11 16:07:50 EDT
To re-iterate, I don't think there's much value in tracking this in Fedora bugzilla. Those coverity results are public anyways, so if anything we should forward them to qemu-devel or stick them in launchpad where the TCG dev community can take a gander.

Note You need to log in before you can comment on or make changes to this bug.